ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nathan Cuka" <nc...@mcr-group.com>
Subject RE: junitreport task requirements question
Date Mon, 09 Jul 2001 18:02:56 GMT


> -----Original Message-----
> From: Matt Lyon [mailto:matt@stargus.com]
> Sent: Monday, July 09, 2001 11:06 AM
> To: ant-user@jakarta.apache.org
> Subject: junitreport task requirements question
> 
> 
> Greetings,
> 
> I apologize in advance if this question has been clearly 
> answered before on
> the list. However, I've searched the list somewhat 
> extensively and cannot
> clearly determine what the answer is. Basically, I am totally 
> mystified as
> to what version of xalan.jar and xerces.jar I need to add to 
> my \ant\lib
> directory (and CLASSPATH?) to get the junitreport task to 
> work correctly.

[snip]

I went through the same pain a couple of weeks ago.

I ended up using xalan and xerces from xalan-J 1.2.2.
I also got rid of jaxp.jar and parser.jar in favor or
xerces.jar.  I made these modifications to the LOCALCLASSPATH 
variable in the script that runs ant.  I am not sure
if this is the Proper Way (TM), but it is working 
for me...

One other hurdle that I had was a seg faulting
Sun JDK -- Might not be an issue for you since it
appears as though you are not on a RH 7.0 box.
For the sake of the archives though, the IBM
JVM worked a bit better for me for junitreport 
tasks.

Good luck.

Regards,

Nathan Cuka
ncuka@mcr-group.com


Mime
View raw message